Bug 436619 - Review Request: bibus - Bibliographic and reference management software
Summary: Review Request: bibus - Bibliographic and reference management software
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-Yves
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-08 13:49 UTC by Alex Lancaster
Modified: 2008-03-16 22:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-16 22:16:49 UTC
Type: ---
pingoufc4: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2008-03-08 13:49:27 UTC
Spec URL: http://alexlan.fedorapeople.org/reviews/bibus.spec
SRPM URL: http://alexlan.fedorapeople.org/reviews/bibus-1.4.1-1.fc7.src.rpm
Description: 
Bibus is a bibliographic database. It uses a MySQL or SQLite database
to store references. It can directly insert references in
OpenOffice.org and MS Word and generate the bibliographic index.

Comment 1 Alex Lancaster 2008-03-12 10:29:58 UTC
Successful koji build for F-9 here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=503055

Comment 3 Pierre-Yves 2008-03-13 13:46:58 UTC
MUST
=>rpmlint 
bibus.noarch: W: symlink-should-be-relative /usr/bin/bibus
/usr/share/bibus/bibusStart.py
* Name OK 
* Spec name OK
=> Package Guidelines: NOTOK
The desktop-file-install according to 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6
If upstream uses <vendor_id>, leave it intact, otherwise use fedora as <vendor_id>. 
* License OK
* Doc OK
* English OK
* Sources OK:
22b91fb9daf1e002e521e6315ade7b28  Desktop/bibus_1.4.1-1.tar.gz
22b91fb9daf1e002e521e6315ade7b28  rpmbuild/SOURCES/bibus_1.4.1-1.tar.gz
* Build OK on Fedora 8 x64_86 and Fedora 8 i386 (rpmbuild and mock for both arch)
* Installs and works OK
* Local properly handle OK
* Directory OK
* %file duplicate -> none OK
* Permission OK
* Clean section OK
=> MUST: Packages containing GUI applications must include a %{name}.desktop NOTOK
=> MUST: Packages must not own files or directories already owned by other
packages.NOTOK
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_mandir}/man1/*
Should be changed to 
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_mandir}/man1/%{name}.1.gz
*UTF-8 OK

Few questions on the file management else it looks ok :)
If you can get those changes to upstream this will definitively be easier to
maintain.


Comment 4 Alex Lancaster 2008-03-13 15:10:15 UTC
* Thu Mar 13 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.4.1-3
- Fix desktop-file-install as per review (#436619)

http://alexlan.fedorapeople.org/reviews/bibus.spec
http://alexlan.fedorapeople.org/reviews/bibus-1.4.1-3.fc8.src.rpm



Comment 5 Pierre-Yves 2008-03-13 15:38:38 UTC
There is one Requires missing:
python-sqlite2

So please do not forget it before import ;)

ok the only point left is the complaint for the symlink from rpmlint, since it
is not a major issue and does not cause trouble to use the soft.

APPROVED

Comment 6 Alex Lancaster 2008-03-13 15:50:31 UTC
New Package CVS Request
=======================
Package Name: bibus
Short Description: Bibliographic and reference management software
Owners: alexlan
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

    *



Comment 7 Kevin Fenzi 2008-03-14 00:08:07 UTC
cvs done.

Comment 8 Fedora Update System 2008-03-16 06:38:12 UTC
bibus-1.4.1-4.fc8 has been submitted as an update for Fedora 8

Comment 9 Fedora Update System 2008-03-16 06:39:59 UTC
bibus-1.4.1-4.fc7 has been submitted as an update for Fedora 7

Comment 10 Fedora Update System 2008-03-16 19:29:01 UTC
bibus-1.4.1-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-03-16 19:30:23 UTC
bibus-1.4.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Alex Lancaster 2008-03-16 22:16:49 UTC
Built and available in F-7, F-8 and will be available in rawhide once freeze is
lifted.  Closing bug.


Note You need to log in before you can comment on or make changes to this bug.